#!/bin/bash
: ${DIALOG=dialog}

tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15

if [ "`which dialog`" == "" ]
then
	echo "This script requires the dialog package. Please install and try again."
	rm -f $tempfile
	exit 1
fi

target="vortex86"
sysroot="gcc-4.2.4-i486-emac-linux"

$DIALOG --clear --title "EMAC-OE stable-2009 SDK Setup" \
--menu "Select the target machine:" 0 0 0 \
"Atom" "atom Intel Atom based single-board computer" \
"Via Eden" "viaeden VIA Eden based single-board computer" \
2> $tempfile

retval=$?

choice=`cat $tempfile`

case $retval in
	0)
		case $choice in
			'Atom')
				target=atom
				;;
			'Via Eden')
				target=viaeden
				;;
			*)
				;;
		esac
		;;
	1)
		echo "Cancel pressed."
		rm -f $tempfile
		exit 1
		;;
	255)
		echo "ESC pressed.";;
esac

cd projects
rm -f global.properties
ln -s global.properties.$target global.properties
cd ..

clear 

echo "Target set to $target."
echo "Setup complete!"

